Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(33)

Issue 2515553002: Fix mimetype mappings for FLAC support. (Closed)

Created:
2 years, 11 months ago by DaleCurtis
Modified:
2 years, 11 months ago
Reviewers:
ddorwin, wolenetz
CC:
chromium-reviews, darin-cc_chromium.org, feature-media-reviews_chromium.org, jam, posciak+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Fix mimetype mappings for FLAC support. FLAC support landed with the ffmpeg update in M56, we should ensure our mimetypes are correct in this case. Patch from servolk@ https://codereview.chromium.org/2362193003 BUG=93887 Committed: https://crrev.com/97bfa47d1fc314ca4ce969d941d142749880268f Cr-Commit-Position: refs/heads/master@{#433125}

Patch Set 1 #

Patch Set 2 : Fix test deletion during merge. #

Total comments: 11

Patch Set 3 : Comments. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+85 lines, -11 lines) Patch
M content/browser/media/media_browsertest.cc View 1 chunk +3 lines, -4 lines 0 comments Download
M content/browser/media/media_canplaytype_browsertest.cc View 1 2 7 chunks +39 lines, -0 lines 0 comments Download
M media/base/demuxer_perftest.cc View 1 chunk +1 line, -3 lines 0 comments Download
M media/base/mime_util_internal.h View 1 chunk +1 line, -0 lines 0 comments Download
M media/base/mime_util_internal.cc View 1 2 4 chunks +8 lines, -0 lines 0 comments Download
M media/base/mime_util_unittest.cc View 1 2 4 chunks +5 lines, -0 lines 0 comments Download
M media/filters/audio_decoder_unittest.cc View 2 chunks +0 lines, -4 lines 0 comments Download
M media/filters/ffmpeg_demuxer_unittest.cc View 1 1 chunk +20 lines, -0 lines 0 comments Download
M media/test/pipeline_integration_test.cc View 1 chunk +8 lines, -0 lines 0 comments Download

Depends on Patchset:

Messages

Total messages: 17 (9 generated)
DaleCurtis
2 years, 11 months ago (2016-11-17 23:42:08 UTC) #2
ddorwin
LGTM. Thanks. Very tiny issues, except we're missing a test for 'audio/x-flac'. https://codereview.chromium.org/2515553002/diff/20001/content/browser/media/media_canplaytype_browsertest.cc File content/browser/media/media_canplaytype_browsertest.cc ...
2 years, 11 months ago (2016-11-18 00:11:21 UTC) #3
DaleCurtis
https://codereview.chromium.org/2515553002/diff/20001/content/browser/media/media_canplaytype_browsertest.cc File content/browser/media/media_canplaytype_browsertest.cc (right): https://codereview.chromium.org/2515553002/diff/20001/content/browser/media/media_canplaytype_browsertest.cc#newcode632 content/browser/media/media_canplaytype_browsertest.cc:632: EXPECT_EQ(kNot, CanPlay("'video/flac'")); On 2016/11/18 at 00:11:21, ddorwin wrote: > ...
2 years, 11 months ago (2016-11-18 00:39:26 UTC) #5
wolenetz
lgtm
2 years, 11 months ago (2016-11-18 00:57:05 UTC) #6
DaleCurtis
Looks like mkv+flac works in ffmpeg too, but we don't need to advertise support for ...
2 years, 11 months ago (2016-11-18 01:18:26 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2515553002/40001
2 years, 11 months ago (2016-11-18 05:47:48 UTC) #14
commit-bot: I haz the power
Committed patchset #3 (id:40001)
2 years, 11 months ago (2016-11-18 05:52:55 UTC) #15
commit-bot: I haz the power
2 years, 11 months ago (2016-11-18 05:55:53 UTC) #17
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/97bfa47d1fc314ca4ce969d941d142749880268f
Cr-Commit-Position: refs/heads/master@{#433125}

Powered by Google App Engine
This is Rietveld 408576698